From d82e1d83da7fa8080ad780c9cd1d1738c0dab996 Mon Sep 17 00:00:00 2001
From: Didier Raboud <odyx@debian.org>
Date: Sun, 1 Feb 2015 00:13:59 +0100
Subject: [PATCH 2/2] Drop SYSTEM_SOURCES_LIST configuration stanza as the
 system's apt config is now fetched at build time

---
 build/Makefile                   |  2 +-
 build/config/dir                 |  5 -----
 build/util/gen-sources.list.udeb | 11 +++++------
 debian/changelog                 |  2 ++
 4 files changed, 8 insertions(+), 12 deletions(-)

diff --git a/build/Makefile b/build/Makefile
index c55efeb..95a3aa7 100644
--- a/build/Makefile
+++ b/build/Makefile
@@ -647,7 +647,7 @@ sources.list.udeb:
 	if [ "$(MIRROR)x" != "x" ]; then \
 		echo "deb $(MIRROR) $(USE_UDEBS_FROM) $(UDEB_COMPONENTS)"; \
 	else \
-		gen-sources.list.udeb "$(SYSTEM_SOURCES_LIST)" $(USE_UDEBS_FROM) $(UDEB_COMPONENTS) $(USE_PROPOSED_UPDATES); \
+		gen-sources.list.udeb $(USE_UDEBS_FROM) $(UDEB_COMPONENTS) $(USE_PROPOSED_UPDATES); \
 	fi) > $@
 	@if [ -e $@.local ]; then \
 		echo "Using $@.local:"; \
diff --git a/build/config/dir b/build/config/dir
index 859f023..9be49d0 100644
--- a/build/config/dir
+++ b/build/config/dir
@@ -38,11 +38,6 @@ DEBUGUDEBDIR = debugudebs
 # Directory where sources for all udebs may be kept
 SOURCEDIR = sourceudebs
 
-# Location of your "normal" sources.list. The sources.list for fetching
-# udebs will be derived from this file. Alternatively you can specify a mirror
-# in config/main or create your own sources.list.local
-SYSTEM_SOURCES_LIST = /etc/apt/sources.list
-
 # Figure out which sources.list to use. The .local one is preferred,
 # so you can set up a locally preferred one (and not accidentially
 # commit it).
diff --git a/build/util/gen-sources.list.udeb b/build/util/gen-sources.list.udeb
index dded88c..54c57e8 100755
--- a/build/util/gen-sources.list.udeb
+++ b/build/util/gen-sources.list.udeb
@@ -5,10 +5,9 @@ OLDIFS="$IFS"
 NL="
 "
 
-SOURCES_LIST=$1
-SUITE=$2
-UDEB_COMPONENTS=$3
-USE_PROPOSED_UPDATES=$4 # optional
+SUITE=$1
+UDEB_COMPONENTS=$2
+USE_PROPOSED_UPDATES=$3 # optional
 
 # Set to 1 or 2 to see increasing debug info about mirror tests
 # Use 0 for quiet (normal) operation
@@ -57,8 +56,8 @@ APT_SOURCELIST=$(echo "$APT_CONFIG" | sed -n -e 's/^Dir::Etc::sourcelist *\"\(.*
 # Fetch APT' sources.list.d
 APT_SOURCEPARTS=$(echo "$APT_CONFIG" | sed -n -e 's/^Dir::Etc::sourceparts *\"\(.*\)\";$/\1/p')
 
-# Also use mirrors defined in files in $SOURCES_LIST.d/
-MIRRORS="$(get_mirrors $SOURCES_LIST /$APT_DIR_ETC/$APT_SOURCELIST /$APT_DIR_ETC/$APT_SOURCEPARTS)"
+# Fetch mirrors from where APT claims to have them
+MIRRORS="$(get_mirrors /$APT_DIR_ETC/$APT_SOURCELIST /$APT_DIR_ETC/$APT_SOURCEPARTS/*)"
 
 if ! which 'wget' >/dev/null; then
 	echo "ERROR: the command wget is not available; please install it" >&2
diff --git a/debian/changelog b/debian/changelog
index e8256cc..2a6c7c0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,8 @@ debian-installer (20150108) UNRELEASED; urgency=medium
   * Correct typo and joy images paths in debian/copyright
   * Use APT `apt-config dump`s result to determine where to find the
     system's sources.list (Closes: #775136)
+  * Drop SYSTEM_SOURCES_LIST configuration stanza as the system's apt config
+    is now fetched at build time
 
   [ Raphaël Hertzog ]
   * Bump Build-Depends on dns323-firmware-tools to require version
-- 
2.1.4

